> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiddler.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# User Access Keys REST API Guide

> Manage Fiddler API keys with the User Access Keys REST API guide. Learn to list, create, retrieve, update, and delete the access keys that authenticate your requests.

<CardGroup cols={2}>
  <Card title="Create a new API key." icon="plus" href="/sdk-api/rest-api/user-access-keys/create-user-access-key">
    `POST /v3/user-access-keys`
  </Card>

  <Card title="Delete an API key." icon="trash" href="/sdk-api/rest-api/user-access-keys/delete-user-access-key">
    `DELETE /v3/user-access-keys/{key_id}`
  </Card>

  <Card title="Get a single API key." icon="magnifying-glass" href="/sdk-api/rest-api/user-access-keys/get-user-access-key">
    `GET /v3/user-access-keys/{key_id}`
  </Card>

  <Card title="List the caller's API keys." icon="magnifying-glass" href="/sdk-api/rest-api/user-access-keys/list-user-access-keys">
    `GET /v3/user-access-keys`
  </Card>

  <Card title="Update an API key." icon="pen" href="/sdk-api/rest-api/user-access-keys/update-user-access-key">
    `PATCH /v3/user-access-keys/{key_id}`
  </Card>
</CardGroup>
